Subject: Re: bug#72681: 31.0.50; visual-wrap-prefix-mode interacts badly with plain lists in org-mode

From: "Mark Hepburn" <[email-masked]>
Date: Mon, 26 Aug 2024 06:58:00 +1000

Oops, sorry -- the lockup was resolved with bug#72721 (I had it down to a reproduction case using diff-hl, which adds fringe displays to highlight changed lines).

The "this one" involved lsp-dart, which adds guide-lines to show hierarchy.  I didn't have a minimal reproduction case yet, but it was using text-overlays to show the guidelines, which were mis-rendered when overlapping with the min-width etc properties added by visual-line-wrap-mode.  That was resolved with the same patch from bug#72721.

Apologies for the lack of context.

On Mon, Aug 26, 2024, at 4:50 AM, Jim Porter wrote:
> On 8/24/2024 10:55 PM, Eli Zaretskii wrote:
> >> Date: Sun, 25 Aug 2024 10:12:41 +1000
> >> From: "Mark Hepburn" <[email-masked]>
> >> Cc: "Eli Zaretskii" <[email-masked]>
> >>
> >> As an added bonus, the patch from bug#72721 fixes this one too.
> > 
> > This one was supposed to be fixed already, by a different change.
> 
> Mark, by "this one", did you mean the dart-mode issue you'd mentioned?
> 
> On 8/18/2024 2:53 AM, Mark Hepburn wrote:
> > I'm getting rendering-lockups with dart-mode when I enable visual-wrap-prefix-mode.
> 
> If so, that's good news, and the lockup does indeed sound like bug#72721.
>